Bug 1334398 (CVE-2016-9921, CVE-2016-9922) - CVE-2016-9921 CVE-2016-9922 Qemu: display: cirrus_vga: a divide by zero in cirrus_do_copy
Summary: CVE-2016-9921 CVE-2016-9922 Qemu: display: cirrus_vga: a divide by zero in ci...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9921, CVE-2016-9922
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1399054 1399055 1476049 1476068 1476069 1476072 1476074 1476077
Blocks: 1327232 1476084
TreeView+ depends on / blocked
 
Reported: 2016-05-09 13:58 UTC by Adam Mariš
Modified: 2019-09-29 13:49 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:51:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Adam Mariš 2016-05-09 13:58:21 UTC
Quick emulator(Qemu) built with the Cirrus CLGD 54xx VGA Emulator support is vulnerable to a divide by zero issue. It could occur while copying VGA data when cirrus graphics mode was set to be VGA.

A privileged user inside guest could use this flaw to crash the Qemu process instance on the host, resulting in DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg03968.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/08/9

Comment 1 Adam Mariš 2016-05-09 13:58:37 UTC
Acknowledgments:

Name: Qinghao Tang (Qihoo 360), Li Qiang (Qihoo 360), Jiangxin (Huawei Inc.)

Comment 3 Prasad J Pandit 2016-11-28 07:51:20 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1399055]

Comment 4 Prasad J Pandit 2016-11-28 07:51:37 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1399054]

Comment 7 Cole Robinson 2017-01-16 18:39:20 UTC
commit 4299b90e9ba9ce5ca9024572804ba751aa1a7e70
Author: Prasad J Pandit <pjp@fedoraproject.org>
Date:   Tue Oct 18 13:15:17 2016 +0530

    display: cirrus: check vga bits per pixel(bpp) value

Comment 9 errata-xmlrpc 2017-08-02 00:55:56 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 10 errata-xmlrpc 2017-08-02 04:44:32 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.